import { IFieldElementProps as ICoreFieldElementProps, IFormFieldProps as ICoreFormFieldProps, IFormFieldPropsEnhanced as ICoreFormFieldPropsEnhanced, IFormFieldValue } from "@reactionable/core/lib/form/FormField";
import { IRenderFormField } from "@reactionable/core/lib/form/RenderFormField";
import { ReactElement, ReactNode } from "react";
export declare type IFieldElementProps = ICoreFieldElementProps;
export declare type IFormFieldProps<FieldElementProps extends IFieldElementProps, Value extends IFormFieldValue> = Omit<ICoreFormFieldProps<FieldElementProps, Value>, "children"> & {
    children?: IRenderFormField<FieldElementProps, Value> | ReactNode;
};
export declare type IFormFieldPropsEnhanced<FieldElement extends IFieldElementProps, Value extends IFormFieldValue> = ICoreFormFieldPropsEnhanced<FieldElement, Value>;
export declare function FormField<FieldElementProps extends IFieldElementProps = IFieldElementProps, Value extends IFormFieldValue = IFormFieldValue>(props: IFormFieldProps<FieldElementProps, Value>): ReactElement;
