import { ILayoutProps as ICoreLayoutProps } from "@reactionable/core/lib/ui/layout/Layout";
import { IUseLayoutProps as ICoreUseLayoutProps } from "@reactionable/core/lib/ui/layout/useLayout";
import { PropsWithChildren, ReactElement } from "react";
import { IBodyProps } from "./body/Body";
import { IFooterProps } from "./footer/Footer";
import { IHeaderProps } from "./header/Header";
export declare type ILayoutProps = ICoreLayoutProps<IHeaderProps, IBodyProps, IFooterProps>;
export declare type IUseLayoutProps = ICoreUseLayoutProps<ILayoutProps>;
export declare function Layout(props: PropsWithChildren<ILayoutProps>): ReactElement;
