import { INavItemProps as ICoreNavItemProps, INavItemsComponentProps } from "@reactionable/core/lib/nav/NavItem";
import { ReactElement } from "react";
import { NavLinkProps } from "react-bootstrap/NavLink";
import { IIconProps } from "../icon/Icon";
export declare type INavItemProps = ICoreNavItemProps & Omit<NavLinkProps, "onSelect"> & {
    icon?: IIconProps;
};
export declare function NavItem({ icon, children, ...linkProps }: INavItemProps): ReactElement;
export declare function NavItems(props: INavItemsComponentProps<INavItemProps>): ReactElement | null;
