import { ISuccessNotificationProps as ICoreSuccessNotificationProps, IUseSuccessNotificationProps as ICoreUseSuccessNotificationProps, IUseSuccessNotificationResult } from "@reactionable/core/lib/ui/notification/SuccessNotification";
import { PropsWithChildren, ReactElement } from "react";
export declare type ISuccessNotificationProps = ICoreSuccessNotificationProps;
export declare const SuccessNotification: ({ children, ...props }: PropsWithChildren<ISuccessNotificationProps>) => ReactElement;
export declare type IUseSuccessNotificationProps = ICoreUseSuccessNotificationProps & ISuccessNotificationProps;
export declare const useSuccessNotification: (props: IUseSuccessNotificationProps) => IUseSuccessNotificationResult;
