import { ErrorAlertComponent as CoreErrorAlertComponent, IErrorAlertProps as ICoreErrorAlertProps, IUseErrorAlertProps as ICoreUseErrorAlertProps, IUseErrorAlertResult } from "@reactionable/core/lib/ui/alert/ErrorAlert";
import { IAlertProps } from "./Alert";
export declare type IErrorAlertProps = ICoreErrorAlertProps<IAlertProps>;
export declare type ErrorAlertComponent = CoreErrorAlertComponent<IErrorAlertProps>;
export declare const ErrorAlert: ErrorAlertComponent;
export declare type IUseErrorAlertProps = ICoreUseErrorAlertProps & Omit<IAlertProps, "children">;
export declare const useErrorAlert: (props?: IUseErrorAlertProps | undefined) => IUseErrorAlertResult;
