import { INavItemsProps } from "@reactionable/core/lib/nav/NavItem";
import { INavItemsProviderProps as ICoreNavItemsProviderProps } from "@reactionable/core/lib/nav/NavItemsProviderProps";
import { ISidebarProps as ICoreSidebarProps } from "@reactionable/core/lib/ui/layout/sidebar/Sidebar";
import { PropsWithChildren, ReactElement } from "react";
import { INavItemProps } from "../../nav/NavItem";
export declare type INavItemsProviderProps = ICoreNavItemsProviderProps<INavItemsProps<INavItemProps>>;
export declare type ISidebarProps = ICoreSidebarProps<INavItemsProps<INavItemProps>>;
export declare function useSidebarContext(): INavItemsProviderProps;
export declare function SidebarComponent({ children }: ISidebarProps): ReactElement;
export declare function Sidebar(props: PropsWithChildren<ISidebarProps>): ReactElement;
