"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLayout = void 0;
const useLayout_1 = require("@reactionable/core/lib/ui/layout/useLayout");
const Body_1 = require("./body/Body");
const Footer_1 = require("./footer/Footer");
const Header_1 = require("./header/Header");
function useLayout(props) {
    return (0, useLayout_1.useLayout)(Object.assign({ HeaderComponent: Header_1.Header, BodyComponent: Body_1.Body, FooterComponent: Footer_1.Footer }, props));
}
exports.useLayout = useLayout;
//# sourceMappingURL=useLayout.js.map