import { ILoaderProps as ICoreLoaderProps } from "@reactionable/core/lib/ui/loader/Loader";
import { IUseLoaderProps as ICoreUseLoaderProps, IUseLoader } from "@reactionable/core/lib/ui/loader/useLoader";
import { ReactElement } from "react";
export declare type ILoaderProps = ICoreLoaderProps & {
    overlay?: boolean;
};
export declare const Loader: ({ overlay }: ILoaderProps) => ReactElement;
export declare type IUseLoaderProps = ICoreUseLoaderProps & ILoaderProps;
export declare const useLoader: IUseLoader<IUseLoaderProps>;
