import { INotificationProps as ICoreNotificationProps, IUseNotificationProps as ICoreUseNotificationProps, IUseNotificationResult } from "@reactionable/core/lib/ui/notification/Notification";
import { PropsWithChildren, ReactElement } from "react";
import { ToastProps } from "react-bootstrap/Toast";
export declare type INotificationProps = ICoreNotificationProps & Omit<ToastProps, "title"> & {
    variant?: string;
};
export declare function Notification({ onClose, variant, title, children, ...props }: PropsWithChildren<INotificationProps>): ReactElement;
export declare type IUseNotificationProps = ICoreUseNotificationProps<INotificationProps>;
export declare const useNotification: (props: IUseNotificationProps) => IUseNotificationResult;
